#declare OBJuvPOVmaxX =  0.0220354;
#declare OBJuvPOVminX = -0.116002;
#declare OBJuvPOVmaxY =  0.521597;
#declare OBJuvPOVminY =  0;
#declare OBJuvPOVmaxZ =  0.157223;
#declare OBJuvPOVminZ = -0.157915;

#declare fish_pig = pigment {image_map {tga "fish1_pigm" interpolate 2  #if (fish_media != 0) filter all 0.399 #end}}
#declare fish_pigT = pigment {image_map {tga "fish1_pigm" interpolate 2 filter all 0.8}}
#declare fish_norm = normal {bump_map {tga "fish1_bump" interpolate 2 bump_size 5}}
#declare fish_fin = finish {ambient 0.02*amb diffuse 0.4*diff}
#declare fish_finS = finish {ambient 0.02*amb diffuse 0.4*diff specular 2*0.5*refl roughness 0.01 metallic 1 /*#if (PHOT != 1) reflection {<2.5,1,0.833>*0.15*reflect} #end*/}


#declare tex_S0T0 = 
texture {
        pigment {fish_pig}
        normal {fish_norm}
        finish {fish_fin}
}       

#declare tex_S1T0 = 
texture {
        pigment {fish_pig}
        normal {fish_norm}
        finish {fish_finS}
}

#declare tex_S0T1 = 
texture {
        pigment {fish_pigT}
        normal {fish_norm}
        finish {fish_fin}
}       

#declare tex_S1T1 = 
texture {
        pigment {fish_pigT}
        normal {fish_norm}
        finish {fish_finS}
}

#declare ST0 =
texture {
        image_pattern {tga "fish1_reflec"} 
        texture_map {
                [0.57 tex_S0T0]                 
                [1 tex_S1T0] 
        }
}

#declare ST1 =
texture {
        image_pattern {tga "fish1_reflec"} 
        texture_map {
                [0.57 tex_S0T1] 
                [1 tex_S1T1] 
        }
}

#declare fish1_mat =
material {
        texture {
                image_pattern {tga "fish1_trans"} 
                texture_map {
                        [0.7 ST1] 
                        [1 ST0] 
                }
        }
        interior {
                ior 1.334
                #if (fish_media > 0)
                        media{  
	                        #declare Diffus=1.7;      
	                        scattering {1, rgb <1,0.6,0.55>*8*Diffus extinction 1/Diffus}
	                        intervals 1
	                        samples 20*fish_media 
	                        method 3
	                }
	        #end
	}
}

#declare OBJuvPOV_Texture_OBJuvPOVPreview = material {fish1_mat}
#declare ConvObject1 =
union {
    #include "fish1.inc"
}

object {ConvObject1 scale <-1,1,1>*0.1 rotate y*-58 rotate x*-25 rotate z*-5 translate <0.034,-0.27,0.0> translate <-0.39+0.37,-3.25+0.45,-30.2-0.80>-<0.0469833,0.2607985,-1.04354>}

#declare ConvObject2 =
union {
    #include "fish2.inc"
}

object {ConvObject2 scale <1,1,1>*0.1 rotate y*-54 rotate x*-15 rotate z*-5  translate <0.044,-0.279,0.0> translate <-0.39+0.37,-3.25+0.45,-30.2-0.80>-<0.0469833,0.2607985,-1.04354>}